Bug 846817 - FutureFeature: Provide Active directory integration to RHS-C
FutureFeature: Provide Active directory integration to RHS-C
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.0
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Shireesh
Sudhir D
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 15:33 EDT by Paul Cuzner
Modified: 2013-07-28 19:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 03:38:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Cuzner 2012-08-08 15:33:32 EDT
Description of problem:
RHS-C support for domain based authentication is limited to IPA. Customers are frequently asking for MS Active Directory integration. This BZ requests that this capability is added the the RHS-C roadmap.

In addition to integration for authentication purposes, customers are also asking for AD group membership or OU to be used to determine the users permission within RHS-C.

Therefore integration for authentication and authorisation with AD would be the goal.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Shireesh 2012-09-27 03:38:14 EDT
This feature already exists in the product (inherited from RHEV-M). It needs to be added to documentation. Have raised a documentation bug for the same. https://bugzilla.redhat.com/show_bug.cgi?id=860947

Note You need to log in before you can comment on or make changes to this bug.